Honda Goldwing Forum banner
1 - 15 of 15 Posts

·
Premium Member
Joined
·
1,397 Posts
If you know what you are doing or someone who does, hint, hint you can update your bike to 2022.2 mapset.Your bike will probably not like maps newer than that.
 
  • Like
Reactions: Freedom

·
Registered
2012 gl1800
Joined
·
1,395 Posts
Easy now!!! Even the new 2018+’s are not getting all that was promised them upon model release. I’ve read where the navigation isn’t being supported yearly. Garmin. The only way to go, in my book.
I think Honda did away with the Garmin based GPS on the 2018+, the new mapping company is slow at getting updates out. Plus, Garmin has had some copyright infringements with their software. My Zumo used to show the next upcoming road, but after one of the updates that went away. I spoke with someone at Garmin and was told they had to stop using that feature.
 

·
Registered
Joined
·
63 Posts
I think Honda did away with the Garmin based GPS on the 2018+, the new mapping company is slow at getting updates out. Plus, Garmin has had some copyright infringements with their software. My Zumo used to show the next upcoming road, but after one of the updates that went away. I spoke with someone at Garmin and was told they had to stop using that feature.
Which Garmin Zumo do you have? I have the Zumo 660LM & Zumo 595LM and both show upcoming roads. The 660 has regional maps now because the storage capacity of the built in storage doesn't have enough available space to download the file. The upcoming roads for the region area do show. The 595LM is working without issues.
 

·
Registered
Joined
·
2 Posts
If you know what you are doing or someone who does, hint, hint you can update your bike to 2022.2 mapset.Your bike will probably not like maps newer than that.
How does one obtain the 2022.2 mapset. Unfortunately, the only option in Garmin Express is the lates 2023.20 mapset. How do i get the older 2022.2?
 

·
Premium Member
Joined
·
1,397 Posts
I have the newest maps 2023.20 on my 2012 Goldwing and it’s working great. I usually up date mine everytime a new update comes out.
2006 - 2008 US and 2006 - 2010 Canadian have problems with maps newer than 2022.25.
 

·
Premium Member
Joined
·
1,397 Posts
Most of the bikes between 2006 - 2008 US have the same problem. Some don't, but there is no rhyme or reason as to why. I believe it has to do with the board build.
 
1 - 15 of 15 Posts
Top